﻿using igGrid_Sample.Models;
using Infragistics.Web.Mvc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace igGrid_Sample.Controllers
{
    public class HomeController : Controller
    {
        /* Helper function which replaces work with database objects  */
        public void SetProducts(List<Product> data) 
        {
            var p = new Product() { Name = "Dress", ProductId = 1, Cost = 342, Price = 24 };
            p.SetMargin();
            data.Add(p);
            p = new Product() { Name = "Shoes", ProductId = 2, Cost = 94, Price = 36 };
            p.SetMargin();
            data.Add(p);
            p = new Product() { Name = "Scarf", ProductId = 3, Cost = 15, Price = 3 };
            p.SetMargin();
            data.Add(p);
            p = new Product() { Name = "Jeans", ProductId = 4, Cost = 54, Price = 34 };
            p.SetMargin();
            data.Add(p);
            p = new Product() { Name = "T-shirt", ProductId = 5, Cost = 20, Price = 28 };
            p.SetMargin();
            data.Add(p);
            p = new Product() { Name = "Skirt", ProductId = 6, Cost = 34, Price = 30 };
            p.SetMargin();
            data.Add(p);
        }

        public ActionResult Index()
        {
            List<Product> data = new List<Product>();
            SetProducts(data); // It may be replaced with fetching records from database
            return View(data.AsQueryable());          
        }


        [GridDataSourceAction]
        [ActionName("PagingGetData")]
        public ActionResult PagingGetData()
        {
            List<Product> data = new List<Product>();
            SetProducts(data); // It may be replaced with fetching records from database
            return View("RemoteSorting", data.AsQueryable());
        }

    }
}
