﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace igGrid_Sample.Models
{
    public class Product
    {
        public int ProductId { get; set; }
        public string Name { get; set; }
        public double Cost { get; set; }
        public double Price { get; set; }
        public double Margin { get; set; }

        public Product(string name)
        {
            this.Name = name;     
        }
        public Product() {}

        public void SetMargin()
        {
            this.Margin = (this.Price + this.Cost) / this.Price;
        }
    }
}